package cn.ibizlab.assetmanagement.assetapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.assetmanagement.util.domain.DTOBase;
import cn.ibizlab.assetmanagement.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[EAMPlanLineDTO]
 */
@Data
public class EAMPlanLineDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [EAMPLANLINEID]
     *
     */
    @JSONField(name = "eamplanlineid")
    @JsonProperty("eamplanlineid")
    private String eamplanlineid;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [EAMPLANLINENAME]
     *
     */
    @JSONField(name = "eamplanlinename")
    @JsonProperty("eamplanlinename")
    private String eamplanlinename;

    /**
     * 属性 [EAMPLANID]
     *
     */
    @JSONField(name = "eamplanid")
    @JsonProperty("eamplanid")
    private String eamplanid;

    /**
     * 属性 [EAMLOCATIONID]
     *
     */
    @JSONField(name = "eamlocationid")
    @JsonProperty("eamlocationid")
    private String eamlocationid;

    /**
     * 属性 [ASSETID]
     *
     */
    @JSONField(name = "assetid")
    @JsonProperty("assetid")
    private String assetid;


    /**
     * 设置 [EAMPLANLINENAME]
     */
    public void setEamplanlinename(String  eamplanlinename){
        this.eamplanlinename = eamplanlinename ;
        this.modify("eamplanlinename",eamplanlinename);
    }

    /**
     * 设置 [EAMPLANID]
     */
    public void setEamplanid(String  eamplanid){
        this.eamplanid = eamplanid ;
        this.modify("eamplanid",eamplanid);
    }

    /**
     * 设置 [EAMLOCATIONID]
     */
    public void setEamlocationid(String  eamlocationid){
        this.eamlocationid = eamlocationid ;
        this.modify("eamlocationid",eamlocationid);
    }

    /**
     * 设置 [ASSETID]
     */
    public void setAssetid(String  assetid){
        this.assetid = assetid ;
        this.modify("assetid",assetid);
    }


}

